<p>Add inventory item</p>
<mat-stepper class="example-stepper" [orientation]="(stepperOrientation | async)!"
    (selectionChange)="onStepChange($event)">
    <mat-step [stepControl]="firstFormGroup" label="Name & Owner">
        <form [formGroup]="firstFormGroup">
            <mat-form-field>
                <mat-label>Name</mat-label>
                <input matInput placeholder="E.g. Label Printer" formControlName="name" required>
            </mat-form-field>
            <br>
            <mat-form-field>
                <mat-label>Owner</mat-label>
                <input matInput placeholder="E.g. Contact Festival Member #1234" formControlName="owner" required>
                <p>add selector and owner creation popup or similiar</p>
            </mat-form-field>
            <div>
                <button mat-button matStepperNext>Next</button>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" label="returnDate">
        <form [formGroup]="secondFormGroup">
            <mat-form-field>
                <mat-label>Return Date</mat-label>
                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                <input matInput [matDatepicker]="picker" formControlName="returnDate">
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="thirdFormGroup" label="Add comment">
        <form [formGroup]="thirdFormGroup">
            <mat-form-field>
                <mat-label>Comment</mat-label>
                <input matInput formControlName="comment" placeholder="very pretty, please keep safe">
            </mat-form-field>
            <div>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="fourthFormGroup" label="TakePicture">
        <form [formGroup]="fourthFormGroup">
            <div>
                <p>Placeholder for camera/picture module</p>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
        </form>
    </mat-step>
    <mat-step label="StickLabel">
        <form>
            <div>
                <p>Stick your label now or later (PLS don't forget).</p>
                <button mat-button matStepperPrevious>Back</button>
                <button mat-button matStepperNext>Next</button>
            </div>
        </form>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Done</ng-template>
        <p>You are now done.</p>
        <p>Syncing with database has already started as you can see at the top.</p>
        <div>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button routerLink="/inventory-item/add/">Add another item</button>
            <p>NOT IMPLEMENTED!</p>
            <a routerLink="/"><button mat-button>Home</button></a>
            <p>WARNING weird hydration error. Use Button at the top navigation.</p>
        </div>
    </mat-step>
</mat-stepper>